# FairMQ: FairMQUnmanagedRegion Class Reference

FairMQUnmanagedRegion Class Referenceabstract
Inheritance diagram for FairMQUnmanagedRegion:
[legend]

## Public Member Functions

| FairMQUnmanagedRegion (FairMQTransportFactory *factory)
virtual void * | GetData () const =0
virtual size_t | GetSize () const =0
virtual uint16_t | GetId () const =0
virtual void | SetLinger (uint32_t linger)=0
virtual uint32_t | GetLinger () const =0
FairMQTransportFactory * | GetTransport ()
void | SetTransport (FairMQTransportFactory *transport)

The documentation for this class was generated from the following file:

- fairmq/FairMQUnmanagedRegion.h

privacy